---
title: scroll-snap-stop
slug: Web/CSS/scroll-snap-stop
tags:
  - CSS
  - CSS Scroll Snap
  - Reference
  - Web
  - 'recipe:css-property'
  - scroll-snap-stop
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>scroll-snap-stop</code></strong> <a href="/en-US/docs/Web/CSS" title="CSS">CSS</a> property defines whether the scroll container is allowed to "pass over" possible snap positions.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
scroll-snap-stop: normal;
scroll-snap-stop: always;

/* Global values */
scroll-snap-type: inherit;
scroll-snap-type: initial;
scroll-snap-type: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>When the visual {{Glossary("viewport")}} of this element's scroll container is scrolled, it may "pass over" possible snap positions.</dd>
 <dt><code>always</code></dt>
 <dd>The scroll container must not "pass over" a possible snap position; and must snap to the first of this elements' snap positions.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Snapping_in_different_axes">Snapping in different axes</h3>

<p>This example is duplicated from {{cssxref("scroll-snap-type")}} with minor variances.</p>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">/* setup */
:root, body {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-flow: column nowrap;
  font-family: monospace;
}
.container {
  display: flex;
  overflow: auto;
  outline: 1px dashed lightgray;
  flex: none;
}

.container.x {
  width: 100%;
  height: 128px;
  flex-flow: row nowrap;
}

.container.y {
  width: 256px;
  height: 256px;
  flex-flow: column nowrap;
}
/* definite scroll snap */
.mandatory-scroll-snapping &gt; div {
  scroll-snap-stop: always;
}
.proximity-scroll-snapping &gt; div {
  scroll-snap-stop: normal;
}
/* scroll-snap */
.x.mandatory-scroll-snapping {
  scroll-snap-type: x mandatory;
}

.y.mandatory-scroll-snapping {
  scroll-snap-type: y mandatory;
}

.x.proximity-scroll-snapping {
  scroll-snap-type: x proximity;
}

.y.proximity-scroll-snapping {
  scroll-snap-type: y proximity;
}

.container &gt; div {
  text-align: center;
  scroll-snap-align: center;
  flex: none;
}

.x.container &gt; div {
  line-height: 128px;
  font-size: 64px;
  width: 100%;
  height: 128px;
}

.y.container &gt; div {
  line-height: 256px;
  font-size: 128px;
  width: 256px;
  height: 256px;
}
/* appearance fixes */
.y.container &gt; div:first-child {
  line-height: 1.3;
  font-size: 64px;
}
/* coloration */
.container &gt; div:nth-child(even) {
  background-color: #87EA87;
}

.container &gt; div:nth-child(odd) {
  background-color: #87CCEA;
}
</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="container x mandatory-scroll-snapping" dir="ltr"&gt;
  &lt;div&gt;X Mand. LTR &lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container x proximity-scroll-snapping" dir="ltr"&gt;
  &lt;div&gt;X Proximity LTR&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container y mandatory-scroll-snapping" dir="ltr"&gt;
  &lt;div&gt;Y Mand. LTR&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container y proximity-scroll-snapping" dir="ltr"&gt;
  &lt;div&gt;Y Prox. LTR&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container x mandatory-scroll-snapping" dir="rtl"&gt;
  &lt;div&gt;X Mandatory RTL&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container x proximity-scroll-snapping" dir="rtl"&gt;
  &lt;div&gt;X Proximity RTL&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container y mandatory-scroll-snapping" dir="rtl"&gt;
  &lt;div&gt;Y Mand. RTL&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;

&lt;div class="container y proximity-scroll-snapping" dir="rtl"&gt;
  &lt;div&gt;Y Prox. RTL&lt;/div&gt;
  &lt;div&gt;2&lt;/div&gt;
  &lt;div&gt;3&lt;/div&gt;
  &lt;div&gt;4&lt;/div&gt;
  &lt;div&gt;5&lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Snapping_in_different_axes", "100%", "1630")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Scroll Snap Points", "#propdef-scroll-snap-stop", "scroll-snap-stop")}}</td>
   <td>{{Spec2("CSS Scroll Snap Points")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.scroll-snap-stop")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="/en-US/docs/Web/CSS/CSS_Scroll_Snap">CSS Scroll Snap</a></li>
  <li><a href="https://developers.google.com/web/updates/2018/07/css-scroll-snap">Well-Controlled Scrolling with CSS Scroll Snap</a></li>
</ul>
